# QVM: Quaternions, Vectors, Matrices

### boost/qvm/quat_access.hpp

This header provides generic access to the elements of a given quaternion object.

### Synopsis:

#include <boost/qvm/quat_access.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_quat<Q>::value

            template <class Q> -unspecified-return-type- S( Q & q );
            template <class Q> -unspecified-return-type- V( Q & q );
            template <class Q> -unspecified-return-type- X( Q & q );
            template <class Q> -unspecified-return-type- Y( Q & q );
            template <class Q> -unspecified-return-type- Z( Q & q );
        }
    }

See also: Accessing Quaternion Elements